Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-RU-2013:1647-1: - Applied upstream fix for a denial-of-service and authorization
openSUSE Recommended Update: - Applied upstream fix for a denial-of-service
and authorization
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:1647-1
Rating: low
References:
Affected Products:
openSUSE 12.2
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

- Applied upstream fix for a denial-of-service and
authorization bypass vulnerability via crafted ID payload
in strongswan 4.3.3 up to 5.1.0 (CVE-2013-6075,
bnc#847506).
[0007-strongswan-4.3.3_5.1.0-bnc-847506-CVE-2013-6075.patch]

- Added a recursion limit to get_route in netlink plugin to
avoid a charon crash while trying to find a source
address when local left is set to %any on newer kernels
sorting the default route as first one (bnc#840826).
[0006-strongswan-4.6.4-bnc-840826-recursion-limit.patch]
- Fixed patch file/number in spec and bug/file references
in the changes and inside of the patch files. [0004 -&gt;
0005-strongswan-4.3.0-5.0.4_is_asn1-CVE-2013-5018.bnc833278.
patch] [0003 -&gt;
0004-Check-return-value-of-ECDSA_Verify-correctly.patch]
[0001 -&gt;
0003-openssl-Ensure-the-thread-ID-is-never-zero.patch]


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-825

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

strongswan-4.6.4-2.16.1
strongswan-debugsource-4.6.4-2.16.1
strongswan-ikev1-4.6.4-2.16.1
strongswan-ikev1-debuginfo-4.6.4-2.16.1
strongswan-ikev2-4.6.4-2.16.1
strongswan-ikev2-debuginfo-4.6.4-2.16.1
strongswan-ipsec-4.6.4-2.16.1
strongswan-ipsec-debuginfo-4.6.4-2.16.1
strongswan-libs0-4.6.4-2.16.1
strongswan-libs0-debuginfo-4.6.4-2.16.1
strongswan-mysql-4.6.4-2.16.1
strongswan-mysql-debuginfo-4.6.4-2.16.1
strongswan-nm-4.6.4-2.16.1
strongswan-nm-debuginfo-4.6.4-2.16.1
strongswan-sqlite-4.6.4-2.16.1
strongswan-sqlite-debuginfo-4.6.4-2.16.1

- openSUSE 12.2 (noarch):

strongswan-doc-4.6.4-2.16.1


References:



< Previous Next >
This Thread
  • No further messages